Skip to main content
POST
/
admin
/
price-lists
/
{id}
/
products
JS SDK
import Medusa from "@medusajs/js-sdk"

export const sdk = new Medusa({
  baseUrl: import.meta.env.VITE_BACKEND_URL || "/",
  debug: import.meta.env.DEV,
  auth: {
    type: "session",
  },
})

sdk.admin.priceList.linkProducts("plist_123", {
  remove: ["prod_123"]
})
.then(({ price_list }) => {
  console.log(price_list)
})
{ "price_list": { "id": "<string>", "title": "<string>", "description": "<string>", "rules": {}, "starts_at": "<string>", "ends_at": "<string>", "status": "draft", "type": "sale", "prices": [ { "variant_id": "<string>", "rules": {}, "id": "<string>", "title": "<string>", "currency_code": "usd", "amount": 123, "raw_amount": {}, "min_quantity": 123, "max_quantity": 123, "price_set_id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z" } ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z" } }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The price list's ID.

Query Parameters

fields
string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Body

application/json

The products removal details.

remove
string[]

The products to remove from the price list.

The ID of a product.

Response

OK

The price list's details.

price_list
object
required

The price list's details.